Update an existing action
cURL
curl --request PUT \ --url https://{hostname}.gable.ai/v0/action \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "actionId": "<string>", "name": "email on pricing asset change", "triggers": [ { "triggerType": "source", "triggerValues": [ "<string>" ] } ], "destinations": [ { "destinationType": "slack", "slackChannelIds": [ "<string>" ] } ], "isActive": true } '
{ "actionId": "<string>" }
The unique identifier of the action
The name of the action
"email on pricing asset change"
1
Show child attributes
The type of trigger
source
List of data asset sources, any of which need to match an event to trigger an action
The type of destination
slack
List of slack channels IDs to notify when the action is triggered
Whether the action is active or not
true
Successful operation
The unique identifier of the updated action